count(){
  case $1 in
    '' )
      count=$(ls -l | grep "^" | wc -l)
      let count--
      echo $count
      ;;
    '-f' )
      ls -l | grep ^- | wc -l
      ;;
    '-help' | '-h' )
      echo 'default: count number of all-type'
      echo '-f     : count number of files'
      echo '-help  : help'
      echo '-h     : help'
      ;;
    '*' )
      echo 'args error'
      ;;
  esac
}
